gnunet-svn
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[GNUnet-SVN] [taler-deployment] branch master updated: adding back-offic


From: gnunet
Subject: [GNUnet-SVN] [taler-deployment] branch master updated: adding back-office docs building instructions
Date: Tue, 16 Jan 2018 15:48:27 +0100

This is an automated email from the git hooks/post-receive script.

marcello pushed a commit to branch master
in repository deployment.

The following commit(s) were added to refs/heads/master by this push:
     new 6b41a64  adding back-office docs building instructions
6b41a64 is described below

commit 6b41a64d4218c62f37e6f50daedbd063cf562ea5
Author: Marcello Stanisci <address@hidden>
AuthorDate: Tue Jan 16 15:47:48 2018 +0100

    adding back-office docs building instructions
---
 buildbot/master.cfg                  |  3 ++-
 taler-build/update_doc_backoffice.sh | 20 ++++++++++++++++++++
 2 files changed, 22 insertions(+), 1 deletion(-)

diff --git a/buildbot/master.cfg b/buildbot/master.cfg
index 5bf36ce..5411569 100644
--- a/buildbot/master.cfg
+++ b/buildbot/master.cfg
@@ -61,7 +61,7 @@ c["change_source"] = [ALLCS]
 
 def doc_filter(change):
     _changes = change.asDict()
-    if _changes.get("project") in ["api", "www"]:
+    if _changes.get("project") in ["api", "www", "merchant-frontend-examples"]:
         return True
     files = _changes.get("files")
     for file in files:
@@ -269,6 +269,7 @@ SELENIUM_FACTORY.addStep(ShellCommand(
 def doc_dispatcher(project):
     switch = {
         "api": ["./update_api.sh"],
+        "backoffice": ["./update_doc_backoffice.sh"],
         "www": ["./update_www_and_stage.sh"],
         "bank": ["./update_bank.sh"],
         "merchant": ["./update_doc_merchant.sh"],
diff --git a/taler-build/update_doc_backoffice.sh 
b/taler-build/update_doc_backoffice.sh
new file mode 100755
index 0000000..a098bef
--- /dev/null
+++ b/taler-build/update_doc_backoffice.sh
@@ -0,0 +1,20 @@
+#!/bin/bash
+
+set -eu
+
+fetch () {
+  git clean -fdx
+  git fetch
+  # reset to updated upstream branch, but only if we're tracking a branch
+  branch=$(git rev-parse --abbrev-ref --symbolic-full-name @{u} 2>/dev/null || 
echo head)
+  git reset --hard "$branch"
+}
+
+cd $HOME/backoffice/doc/
+fetch
+make
+mkdir -p $HOME/build/backoffice/manual/pdf
+mkdir -p $HOME/build/backoffice/manual/html
+cp manual.pdf $HOME/build/backoffice/manual/pdf/
+cp manual.html $HOME/build/backoffice/manual/html/
+cp *.css $HOME/build/backoffice/manual/html/

-- 
To stop receiving notification emails like this one, please contact
address@hidden



reply via email to

[Prev in Thread] Current Thread [Next in Thread]